/*
Theme Name: Le thème de clement
Author: Clement Bernard
Description: Theme pour afficher nos projet
Version: 1.2
*/

body{
    margin: 0;
    background-color: black;
}

#all{
    display: grid;
    grid-template-areas: "h h" "n n" "c s" "f f";
   /* grid-template-rows: 5rem 10rem 60rem 5rem ;*/
    grid-template-rows: 0.7fr 2fr 12fr 1fr;
    grid-template-columns: 2fr 1fr;

    color: white;
 
}



/*au niveaux du header*/

nav {
    background-color: black;
   display: flex;
   flex-wrap: nowrap;
    grid-area: h;
border-bottom-style: solid;
border-width: 2px;
border-color: rgb(37, 44, 50);
justify-content:start;
flex-direction: row;
position: sticky;
}

header{
    width: 100%;
}

svg{display: none;}

#IconNav{
    display: flex;
    align-items: center;
    width: 8%;
    height: 100%;
    margin-left: 2%;
}

#TextNav{
    display: flex;
    align-items: center;
    width: 70%;
    height: 100%;
    
}

#TextNav a{
    color: rgb(143, 163, 176);
    height: 100%;
    display: flex;
    align-items: center;
}
#TextNav a:hover{
border-bottom: solid;
border-color: rgb(0, 100, 100); 

}


#BoutonNav{
    display: flex;
    align-items: center;
    width: 22%;
    height: 100%;
 justify-content: flex-end;
 padding-right: 3%;
}

nav a{
    margin-left:3%;
    text-decoration:none; 
    color: white;
    
}

#LogoRiot{

    width: 40px;
    height: 40px;
    padding-right: 10%;
    border-right: solid;
    border-width: 2px;
    border-color: rgb(37, 44, 50);
    margin-left: 2%;

   
  
}

#LolEsportLogo{
    width: 40px;
    height: 40px;
    margin-left: 10%;
    margin-right: 2%;

}

#MondeLogo{
   
    width: 20px;
    height: 20px;
    margin-left: 16%;
   

}

#CouttonConnect{
    margin-left: 5%;
    background-color: rgb(0, 100, 100);
    border: 0;
    -webkit-appearance: none;
    height: 45%;
    border-radius: 3px;
    color: #fff;
  
}

#CouttonConnect:hover{

    background-color: rgb(0, 200, 200);
}

/*Barre de en dessou du nav*/

#AllMatch {
    display: flex;
    background-color: rgb(10, 14, 19);
    grid-area: n;
    flex-direction: row;
  /*  overflow-x: scroll;*/
  overflow-x: scroll;

}

::-webkit-scrollbar-track {
    background-color:  rgb(10, 14, 19);
}

::-webkit-scrollbar {
    height: 8px;

}

::-webkit-scrollbar-thumb {
    background-color: #3d4852;
    border-radius: 3px;
}

.FuturMatch {
    background-color: rgb(10, 14, 19);
    border-right: solid;
    border-width: 2px;
    border-color: rgb(37, 44, 50);
    border-bottom: solid;
    border-width: 2px;
    border-color: rgb(37, 44, 50);

    
    display: flex;

    flex-direction: column;
    align-items: center;
   margin-bottom: auto; 
   margin-top: auto; 
   min-width: 200px;
   min-height: 100px;
   height: 60%;
   
   
}

#LogoEquipe{
    width: 35px;
    height: 35px;
    vertical-align:middle;
   
}

/*Contenue*/

.AllArticle {
    display: flex;
    background-color: rgb(15, 21, 25);
    grid-area: c;
    padding: 2%;
    border-right-style: solid;
    border-width: 2px;
    border-color: rgb(37, 44, 50);
flex-direction: column;

}

#TitreContenu{

    padding-bottom: 2%;
    margin-bottom: 2%;
    margin-top: 2%;
    border-bottom: solid;
    border-width: 2px;
    border-color: rgb(37, 44, 50);
}

.ArticleC{
    display: flex;
    flex-wrap: wrap;

}


.Article{
    padding: 1%;
    flex: 1 1 48%;
}


#DivPlus::before{

    background-color: #252c32;
    content: '';
    display: block;
    height: 1px;
    position: relative;
    top: 50%;
    left: 0;
    width: 100%;
    z-index: -1;
}


#DivPlus{
    height: 40px;
    width: 100%;
    display: flex;
    flex-direction: column;
    z-index: 1;
    margin-bottom: 5%;

 
}




#Plus{
    width: 15%;
    height: 100%;
  border-radius: 30px;
    background-color: blanchedalmond;
    border: 0;
    -webkit-appearance: none;
background-color: rgb(0, 200, 200);
margin-left: auto;
    margin-right: auto;

}

/*Image des article*/
.Article img{
    width: 100%;
    height: 75%;
    margin-bottom: 4%;
}



/*Barre de droite*/
#VOD {
    float: right;
    background-color: rgb(10, 14, 19);
    grid-area: s;
    width: 100%;
   
}

#ImgVod{
    border-bottom-style: solid;
    border-width: 2px;
    border-color: rgb(37, 44, 50);
}

#ImgChampionship {
    width: 90%;
    height: 90%;
    display: block;
    margin-left: auto;
    margin-right: auto 
}


#TitreVOD{
margin-top: 5%;
margin-left: 5%;

}

#Replay {
width: 40%;
height: 40%;
}

#DivVod div{
    margin-top: 5%;
    margin-bottom: 6%;
    margin-left: 4%;
    
}
#DivVod img {
    vertical-align:middle;
    margin-left: 4%;
}



#PlusVOD{
    
display: block;
margin-bottom: 20px;
  border-radius: 30px;
    background-color: blanchedalmond;
    border: 0;
    -webkit-appearance: none;
    margin-left: auto;
    margin-right: auto;
color:  rgb(0, 200, 200);
background-color:  rgb(10, 14, 19);;
}



/* Pied de page*/
footer {
    display: flex;
    background-color: black;
    grid-area: f;
    border-top-style: solid;
    border-width: 2px;
    border-color: rgb(37, 44, 50);
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    color: rgb(143, 163, 176);
    font-size: 15px;
    
    
}
  

footer img{
   width: 101px;
   height: 32px;
   margin-right: 20px;
   margin-left: 20px;
}

#Conditions{
    margin-right: 20px;
    width: 50%;
    text-align: right;
}

footer a{
    text-decoration:none; 
    color: rgb(143, 163, 176);
    text-decoration: underline;
 
}


#LogoFooter{
    width: 50%;
}


/* Mode tablette*/

@media screen and (max-width: 1075px) {
    #all {
        display: grid;
        grid-template-areas: "h" "n" "c" "s" "f";

        grid-template-rows: 1fr 2fr 12fr 12fr 1fr;
        /*grid-template-rows: 5rem 10rem 40rem 40rem 5rem;*/
       grid-template-columns: 1fr;
    }

    /* enlevé du contenue de header*/

   #BoutonNav{
width: 50%;
display: flex;
justify-content: flex-end;

    }

    #BoutonNav input{
        display: none;
}

#TextNav{
    display: none;

}


svg{
    display: block;
    margin-left: 5%;
}



#IconNav{
    display: flex;
    width: 50%;
    justify-content:space-between;
    
}


/*ajoustment du contenue*/

.AllArticle{
    padding: 0;
}



    /*Affiche de barre de droit enbas avec le bon alignement*/
    #DivVod {
        display: flex;
        flex-wrap: wrap;
        margin: 0;
   
    }

.MaVod{
    flex: 1 0 50%;

}

#DivVod div{

    margin: 0;
}

#TitreVOD{
    margin-top: 3%;
    margin-bottom: 3%;
}

.MaVod{
display: flex;
flex-direction: column;

}

.MaVod img{
   margin-bottom: 5%;
   display: block;
   margin-left: auto;
   margin-right: auto ;

   
    }

    .MaVod span{
        margin-left: 17%;
        margin-bottom: 5%;
        margin-top: 5%;
        
    }

#Replay{
    margin: 0;
    width: 90%;
    height: 90%;
}


    #ImgChampionship {
        width: 30%;
        height: 30%;
        display: block;
        margin-left: auto;
        margin-right: auto ;
       
    }

}


/* Mode Mobile*/
@media screen and (max-width: 720px) {


    #all {
        display: grid;
        grid-template-areas: "h" "n"  "c" "s" "f";
        grid-template-rows: 0.6fr 1fr 3fr 3fr 1fr;
       
    
    }

   

    #DivVod {
        display: flex;
        flex-wrap: nowrap;
        flex-direction: column;
        

    }

    .Article{
        height: 20%;
        display: flex;
        flex-direction: column;
        box-sizing: border-box;
        flex-basis: 100%;
        flex: 1 1 100%;
    }
    
    .Article img {
        width: 25%;
        height: 75%;
        margin-bottom: 4%;
    }

    .TitreArticle{
        margin-bottom: 4%;
        align-self: center;
        padding-left: 3%;
    }


    .MaVod{
        width: 95%;
        height: 20%;
        flex-direction: row;
        margin-bottom: 5%;
       
    }
#Replay{
    width: 20%;

}
.MaVod img {
    margin: 0;
}

.MaVod span {
    margin: 0;
    margin-top: 3% ;
    margin-left: 2%;
  
}
#DivVod div{
    margin-bottom:  2%;
    margin-left: 5%;
}
 

footer{
    display: flex;
    flex-direction: column-reverse;
}

#Conditions{
    text-align: center;
    margin-top: 2%;
}

#LogoFooter{
    margin-bottom: 2%;
    margin-top: 3%;
}

}
